%define modname http
%define soname %{modname}.so
%define inifile B16_%{modname}.ini

Summary:	Extended HTTP support module for PHP
Name:		php-%{modname}
Version:	3.2.2
Release:	%mkrel 5
Group:		Development/PHP
License:	BSD
URL:		http://pecl.php.net/package/pecl_http
Source0:	http://pecl.php.net/get/pecl_http-%{version}.tgz
Requires:	php-raphf >= 2.0.0
Requires:	php-propro >= 2.0.1
Requires:	php-iconv
Requires:	php-json
Requires:	php >= 3:7.4.0
Requires:	php-common = 3:7.4
BuildRequires:	php-devel >= 3:7.4.0
BuildRequires:	php-raphf >= 2.0.0
BuildRequires:	php-propro >= 2.0.1
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libbrotlienc)
BuildRequires:	pkgconfig(libidn2)
BuildRequires:	php-cli >= 3:7.0.0
BuildRequires:	icu-devel
BuildRequires:	php-iconv
BuildRequires:	php-json

%description
This HTTP extension aims to provide a convenient and powerful
set of functionality for one of PHPs major applications.

It eases handling of HTTP urls, headers and messages, provides
means for negotiation of a client's preferred content type,
language and charset, as well as a convenient way to send any
arbitrary data with caching and resuming capabilities.

It provides powerful request functionality with support for
parallel requests.

%prep

%setup -q -n pecl_http-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files
%doc package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Thu Jun 18 2020 mokraemer <mokraemer> 3.2.2-5.mga7
+ Revision: 1595959
- Fix dependency
- backport for php 7.4
- backport php 7.4

* Sat Apr 04 2020 wally <wally> 3.2.2-4.mga8
+ Revision: 1564487
- rebuild for new icu 66.1

* Tue Feb 18 2020 umeabot <umeabot> 3.2.2-3.mga8
+ Revision: 1539070
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 3.2.2-2.mga8
+ Revision: 1463559
+ rebuild (emptylog)

* Thu Oct 24 2019 mokraemer <mokraemer> 3.2.2-1.mga8
+ Revision: 1455641
- new version 3.2.2

* Mon Oct 07 2019 daviddavid <daviddavid> 3.2.1-2.mga8
+ Revision: 1450450
- rebuild for new icu 65.1

* Sun Jun 30 2019 mokraemer <mokraemer> 3.2.1-1.mga8
+ Revision: 1416308
- new version 3.2.1

* Thu Feb 21 2019 daviddavid <daviddavid> 3.2.0-6.mga7
+ Revision: 1369032
- rebuild for new libidn2 2.1.1

* Wed Jan 09 2019 wally <wally> 3.2.0-5.mga7
+ Revision: 1353604
- rebuild for new libidn2

* Wed Dec 12 2018 mokraemer <mokraemer> 3.2.0-4.mga7
+ Revision: 1340440
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 3.2.0-3.mga7
+ Revision: 1325755
- updated requirements

* Tue Aug 28 2018 daviddavid <daviddavid> 3.2.0-2.mga7
+ Revision: 1255142
- rebuild for new icu

* Thu Jul 19 2018 mokraemer <mokraemer> 3.2.0-1.mga7
+ Revision: 1244329
- new version 3.2.0

* Fri Dec 29 2017 wally <wally> 3.1.0-4.mga7
+ Revision: 1186999
- rebuild for new icu

* Mon Dec 04 2017 mokraemer <mokraemer> 3.1.0-3.mga7
+ Revision: 1181106
+ rebuild (emptylog)

* Sun Nov 12 2017 zezinho <zezinho> 3.1.0-1.mga7
+ Revision: 1177088
- new version

* Mon Mar 20 2017 akien <akien> 2.6.0-4.mga6
+ Revision: 1093677
- Rebuild for icu 58.2

* Fri Mar 10 2017 rapsys <rapsys> 2.6.0-3.mga6
+ Revision: 1091543
- Fix deps and build deps

* Fri Mar 10 2017 rapsys <rapsys> 2.6.0-2.mga6
+ Revision: 1091525
- Add icu-devel to build deps
- Add php-cli to build deps
- Fix build deps
- Fix build deps
- Fix missing build deps
- Fix license and ini numbering
- imported package php-http

